# Wrap

The `Wrap` object represents the [immutable](https://developer.mozilla.org/en-US/docs/Glossary/Immutable) wrap of the [opening](https://docs.angular-package.dev/text/basic-concepts#opening) and [closing](https://docs.angular-package.dev/text/basic-concepts#closing). It is designed to preserve the names of the opening and closing.

### Instance accessors

<table><thead><tr><th width="150">Wrap.prototype.</th><th>Decription</th><th data-hidden></th></tr></thead><tbody><tr><td><a href="instance-accessors#wrap.prototype.closing">closing</a></td><td>The <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Functions/get"><code>get</code></a> accessor gets the <a href="../basic-concepts#closing">closing</a> of the wrap by returning the <a href="instance-properties#closing"><code>#closing</code></a> property of the specified object.</td><td></td></tr><tr><td><a href="instance-accessors#wrap.prototype.opening">opening</a></td><td>The <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Functions/get"><code>get</code></a> accessor gets the <a href="../basic-concepts#opening">opening</a> of the wrap by returning the <a href="instance-properties#opening"><code>#opening</code></a> property of the specified object.</td><td></td></tr><tr><td><a href="instance-accessors#wrap.prototype.wrap">wrap</a></td><td>The <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Functions/get"><code>get</code></a> accessor gets the wrap consisting of the opening and closing.</td><td></td></tr><tr><td><a href="instance-accessors#wrap.prototype.value">value</a></td><td>The <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Functions/get"><code>get</code></a> accessor gets the wrap consisting of the opening and closing.</td><td></td></tr><tr><td><a href="instance-accessors#symbol.tostringtag">[Symbol.toStringTag]</a></td><td>The <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Functions/get"><code>get</code></a> accessor, with the help of <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Symbol/toStringTag"><code>toStringTag</code></a> of Symbol, changes the default object tag to <code>wrap</code> for an instance of the <a href="wrap"><code>Wrap</code></a>.</td><td></td></tr></tbody></table>

### Static methods

<table><thead><tr><th width="159.3850553872428">Wrap.</th><th>Description</th></tr></thead><tbody><tr><td><a href="static-methods#wrap.iswrap">isWrap()</a></td><td>The method checks if the value of any type is the <a href="wrap"><code>Wrap</code></a> instance of any or given opening and closing.</td></tr><tr><td><a href="static-methods#wrap.template">template()</a></td><td>The static "tag" method builds the wrap of a <a href="https://www.typescriptlang.org/docs/handbook/basic-types.html#string"><code>string</code></a> type on the template. With the added string before the expressions, it returns a wrapped string.</td></tr></tbody></table>

### Instance methods

| Wrap.prototype.                                                                                          | Description                                                                                                                                                                                                                                                      |
| -------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [getClosing()](https://docs.angular-package.dev/text/wrapper/instance-methods#wrap.prototype.getclosing) | Gets the [closing](https://docs.angular-package.dev/text/basic-concepts#closing) of the wrap by returning the [`#closing`](https://docs.angular-package.dev/text/wrapper/instance-properties#closing) property of the specified object.                          |
| [getOpening()](https://docs.angular-package.dev/text/wrapper/instance-methods#wrap.prototype.getopening) | Gets the [opening](https://docs.angular-package.dev/text/basic-concepts#opening) of the wrap by returning the [`#opening`](https://docs.angular-package.dev/text/wrapper/instance-properties#opening) property of the specified object.                          |
| [getWrap()](https://docs.angular-package.dev/text/wrapper/instance-methods#wrap.prototype.getwrap)       | Gets the [wrap](https://docs.angular-package.dev/text/basic-concepts#wrap), primitive value consists of the [opening](https://docs.angular-package.dev/text/basic-concepts#opening) and [closing](https://docs.angular-package.dev/text/basic-concepts#closing). |
| [valueOf()](https://docs.angular-package.dev/text/wrapper/instance-methods#wrap.prototype.valueof)       | Returns the [wrap](https://docs.angular-package.dev/text/basic-concepts#wrap), primitive value of the specified [`Wrap`](https://docs.angular-package.dev/text/wrapper/wrap) object.                                                                             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.angular-package.dev/text/wrapper/wrap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
